html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
code,
del,
dfn,
em,
img,
q,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
input,
textarea,
article,
aside,
audio,
canvas,
command,
datalist,
details,
dialog,
embed,
figure,
header,
hgroup,
keygen,
mark,
meter,
nav,
output,
progress,
rp,
rt,
ruby,
section,
source,
time,
video {
  border: none;
  margin: 0;
  padding: 0;
  border: 0;
  font-weight: inherit;
  font-style: inherit;
  font-family: inherit;
  vertical-align: baseline;
  list-style: none;
}
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.clearfix {
  display: inline-block;
}
.clearfix {
  display: block;
}
a:link,
a:visited {
  text-decoration: none;
}
a:hover,
a:active {
  text-decoration: none;
}
a {
  outline: none;
  *hide-focus: none;
}
video::-webkit-media-controls-fullscreen-button {
  display: none;
}
video::-internal-media-controls-overflow-button {
  display: none;
}
body,
html {
  font-size: 0.24rem;
  width: 100%;
  height: 100%;
  color: #fff;
}
.page_in_news {
  background: #fff;
}
.left {
  float: left;
}
.right {
  float: right;
}
img {
  vertical-align: middle;
  text-align: center;
}
.cont-img {
  width: 100%;
  height: 100%;
}
body {
  width: 100%;
  max-width: 1080px;
  overflow-y: auto;
  background: #f3f8fb;
  position: relative;
}
#container {
  max-width: 1080px;
  margin: 0 auto;
  overflow: hidden;
  height: 120.26rem;
  background: url('../img/bg.jpg') top center;
  background-size: 100%;
}
#container .layer-fg {
  position: absolute;
  width: 100%;
  height: 120.26rem;
  pointer-events: none;
}
#container .layer-fg .layer-1 {
  position: absolute;
  top: 11rem;
  width: 10.8rem;
  z-index: 10;
}
#container .layer-fg .layer-2 {
  position: absolute;
  bottom: 0;
  width: 8.77rem;
  z-index: 10;
}
/* wrap */
.wrap {
  position: relative;
}
/* swiper Demo styles */
img {
  width: 100%;
  display: block;
}
/*页面背景*/
.header {
  text-align: center;
}
.page {
  margin: 0 auto;
  background: url(../img/game_bg.png?004) no-repeat;
  width: 10.8rem;
  height: 14.71rem;
  background-size: 10.8rem 21.38rem;
  background-position: 0 -6.67rem;
}
.gamevideo-group {
  position: absolute;
  top: 98.36rem;
  margin: 0 auto;
  width: 10.8rem;
  height: 4.64rem;
  /* 游戏视频 */
}
.gamevideo-group .video_box {
  position: relative;
  width: 8.16rem;
  height: 4.59rem;
  margin: 0 auto;
}
.gamevideo-group .video_box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.gamevideo-group .play-btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: block;
  width: 1.29rem;
  height: 1.29rem;
  background: url(../img/play_btn.png) no-repeat center;
  background-size: cover;
  font-size: 0;
}
video#video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
  z-index: 10;
}
.slogan {
  position: absolute;
  left: 50%;
  margin-left: -5.4rem;
  top: 11.3rem;
  width: 10.8rem;
  height: 4.06rem;
  z-index: 20;
}
.foot-line {
  position: absolute;
  left: 0.3rem;
  top: 16.7rem;
  width: 10.1rem;
  z-index: 100;
}
.yuyue-box {
  position: absolute;
  top: 20rem;
  width: 100%;
  height: 27.5rem;
  overflow: hidden;
}
.yuyue-box .go-to-roll {
  position: absolute;
  top: 6.98rem;
  left: 50%;
  transform: translateX(-50%);
  display: block;
  width: 7.65rem;
  height: 1.11rem;
  background: url(../img/btn-roll.png) no-repeat;
  background-size: 100%;
}
.yuyue-box .line {
  position: absolute;
  top: -19rem;
  right: 0;
  width: 2.78rem;
  height: 25.23rem;
  background: url(../img/line.png) no-repeat bottom center;
  background-size: 100%;
  transition: top 1.2s ease-in-out;
}
.yuyue-box .line[data-step="1"] {
  top: -5rem;
}
.yuyue-box .line[data-step="2"] {
  top: -1.7rem;
}
.yuyue-box .line[data-step="3"] {
  top: 1.8rem;
}
.yuyue-box .line[data-step="4"] {
  top: 5.5rem;
}
.yuyue-box .num-box {
  position: absolute;
  top: 11rem;
  width: 100%;
  text-align: center;
  font-family: serif;
  font-size: 0.38rem;
  font-weight: bold;
  line-height: 1.4;
  color: rgba(255, 255, 255, 0.6);
}
.yuyue-box .num-box .num {
  font-size: 0.72rem;
  color: #baa079;
}
.yuyue-box .skin {
  position: absolute;
  top: 13rem;
  left: 1.4rem;
  width: 7.42rem;
  height: 5.5rem;
}
.yuyue-box .gift-box {
  position: absolute;
  top: 16.83rem;
  left: 1.1rem;
  width: 7.43rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.yuyue-box .gift-box .gift-item {
  position: relative;
  width: 7.43rem;
  height: 3.44rem;
}
.yuyue-box .gift-box .gift-item img {
  width: 100%;
  display: none;
}
.yuyue-box .gift-box .gift-item[data-state="0"] img:first-of-type {
  display: block;
}
.yuyue-box .gift-box .gift-item[data-state="1"] img:last-of-type {
  display: block;
}
.fetaure-box {
  position: absolute;
  top: 71.2rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.fetaure-box img {
  position: relative;
}
.fetaure-box img:nth-of-type(1) {
  width: 8.97rem;
  height: 5.23rem;
  z-index: 3;
}
.fetaure-box img:nth-of-type(2) {
  width: 9.62rem;
  height: 5.58rem;
  margin-top: -0.8rem;
  z-index: 4;
}
.fetaure-box img:nth-of-type(3) {
  width: 9.1rem;
  height: 5.41rem;
  margin-top: -1.25rem;
  z-index: 2;
}
.fetaure-box img:nth-of-type(4) {
  width: 9.55rem;
  height: 5.12rem;
  margin-top: -0.5rem;
  left: 0.28rem;
  z-index: 3;
}
.fetaure-box img:nth-of-type(5) {
  width: 8.9rem;
  height: 5.57rem;
  margin-top: -0.7rem;
  z-index: 1;
}
.rule-box {
  position: absolute;
  top: 110.1rem;
  left: 0.3rem;
  width: 9.83rem;
  height: 8.91rem;
  background: url(../img/rule-bg.png) no-repeat;
  background-size: 100%;
}
.rule-box img {
  width: 100%;
  height: 100%;
}
.addon-box {
  position: relative;
  pointer-events: none;
}
.addon-box img {
  position: absolute;
}
.addon-box .book {
  top: 82.2rem;
  width: 2.68rem;
  height: 5.25rem;
  z-index: 2;
}
.addon-box .watch {
  top: 84.6rem;
  right: 0;
  width: 1.46rem;
  height: 3.71rem;
  z-index: 4;
}
.addon-box .fm {
  top: 115.3rem;
  right: 0;
  width: 6.3rem;
  height: 5.03rem;
  z-index: 4;
}
.effect-box {
  position: relative;
  pointer-events: none;
  z-index: 10;
}
.effect-box .effect {
  position: absolute;
}
.effect-box .light-1 {
  top: 15rem;
  width: 10.8rem;
  height: 91.18rem;
  background: url(../img/effect-light1.png) no-repeat;
  background-size: 100%;
  animation: effect-smooth 5s linear infinite;
}
.effect-box .light-2 {
  top: 0.9rem;
  left: 0.1rem;
  width: 10.47rem;
  height: 105.66rem;
  background: url(../img/effect-light2.png) no-repeat;
  background-size: 100%;
  animation: effect-smooth 4s linear infinite;
  animation-delay: 1.2s;
}
.effect-box .light-3 {
  top: 46.4rem;
  left: -0.32rem;
  width: 8.66rem;
  height: 9.11rem;
  background: url(../img/effect-light3.png) no-repeat;
  background-size: 100%;
  animation: effect-flash 6s step-start infinite;
}
@keyframes effect-smooth {
  0%,
  100% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
}
@keyframes effect-flash {
  0% {
    opacity: 1;
  }
  4% {
    opacity: 0;
  }
  7% {
    opacity: 0.6;
  }
  10% {
    opacity: 0.9;
  }
  11% {
    opacity: 0;
  }
  13% {
    opacity: 1;
  }
  17% {
    opacity: 0;
  }
  20% {
    opacity: 0;
  }
  22% {
    opacity: 0.8;
  }
  38% {
    opacity: 0;
  }
  39% {
    opacity: 1;
  }
  50% {
    opacity: 1;
  }
  56% {
    opacity: 0;
  }
  57% {
    opacity: 0.6;
  }
  60% {
    opacity: 0.9;
  }
  61% {
    opacity: 0;
  }
  73% {
    opacity: 1;
  }
  77% {
    opacity: 0;
  }
  79% {
    opacity: 0;
  }
  80% {
    opacity: 0.8;
  }
  100% {
    opacity: 1;
  }
}
/* 视频弹窗 */
.pop-video {
  position: fixed !important;
  z-index: 101;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: 100%;
  height: 7rem;
  display: none;
}
.mask {
  position: fixed !important;
  left: 0;
  top: 0;
  z-index: 99;
  width: 100%;
  height: 100%;
  background: rgba(1, 1, 1, 0.77);
  display: none;
}
@keyframes animateRotate {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes animateRotate {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-moz-keyframes animateRotate {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-ms-keyframes animateRotate {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-o-keyframes animateRotate {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.animateRotate {
  animation: animateRotate 20s infinite;
  animation-timing-function: linear;
}
